%define	xfontdir_	%{_datadir}/fonts/ja
%define	xfontdir	%{xfontdir_}/TrueType

%define	kochimin	kochi-mincho-0.2.20020727
%define	kochigoth	kochi-gothic-0.2.20030118

Name:		ttfonts-ja
Version:	1.3
Release:	b1
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

## Original fonts is here
## Source0:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochimin}.tar.bz2
Source0:	%{kochimin}.tar.bz2
## Original fonts is here
## Source1:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochigoth}.tar.bz2
Source1:	%{kochigoth}.tar.bz2
Source2:	fonts.alias.kk
Source3:	fonts.scale.kk

BuildPreReq:	XFree86-xfs
BuildPreReq:	VFlib2
Prereq:         fontconfig
PreReq:		/usr/sbin/chkfontpath /usr/X11R6/bin/mkfontdir

Summary: Free Japanese TrueType fonts
%description
This package provides free Japanese TrueType fonts, and includes
ttindex files for VFlib. Kochi TTF which includes in this package
have removed 10pt and 11pt which provides by naga10 font because
there is the license problem.

%prep
%setup -q -c -a 1

%build
pushd kochi-mincho/fonts
ttindex kochi-mincho
popd
pushd kochi-gothic/fonts
ttindex kochi-gothic
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
pushd kochi-mincho
install -m 0644 fonts/*.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
pushd kochi-gothic
install -m 0644 fonts/*.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{xfontdir}/fonts.alias
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{xfontdir}/fonts.scale
/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings\large \
                         $RPM_BUILD_ROOT%{xfontdir}

# create default font
pushd $RPM_BUILD_ROOT%{xfontdir_}
	ln -s TrueType/kochi-mincho.ttf default.font
	ln -s TrueType/kochi-gothic.ttf default-bold.font
popd

# doc
install -d doc
install -d doc/%{kochimin}
install -d doc/%{kochigoth}

pushd kochi-mincho
	cp -r {AUTHORS,Changelog,README,THANKS,TODO,docs,examples} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/%{kochimin}
popd
pushd kochi-gothic
	cp -r {AUTHORS,CHANGES,Changelog,README,THANKS,TODO,docs,examples} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/%{kochigoth}
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
fc-cache
/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings\large \
                         %{xfontdir}

/usr/sbin/chkfontpath -q -a %{xfontdir}
if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
	/usr/bin/redhat-update-gnome-font-install
fi
if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
	/usr/bin/redhat-update-gnome-font-install2
fi

%postun
if [ "$1" = "0" ];
then
	/usr/sbin/chkfontpath -q -r %{xfontdir}
	if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
		/usr/bin/redhat-update-gnome-font-install
	fi
	if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
		/usr/bin/redhat-update-gnome-font-install2
	fi
fi

%files
%defattr(-,root,root)
%doc doc/*
%dir %{xfontdir_}
%dir %{xfontdir}
%config %{xfontdir}/fonts.alias
%config(noreplace) %{xfontdir_}/default*.font
%{xfontdir}/fonts.scale
%{xfontdir}/fonts.dir
%{xfontdir}/encodings.dir
%{xfontdir}/*ttf
%{xfontdir}/*tti


##
## change log
##

%changelog
* Sat Apr 5 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- create for berry linux
- from Red Hat Linux 8.0
- ttfonts-ja-1.2-16.src.rpm
